SkillHub
Referenceregistries

Deprecate a skill

POST
/registries/{ownerHandle}/{slug}/skills/{name}/deprecate

Path Parameters

ownerHandle*string
Lengthlength <= 64
slug*string
Lengthlength <= 64
name*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length1 <= length <= 64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/registries/string/string/skills/string/deprecate" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "ref": "string",  "name": "string",  "type": "project",  "description": "string",  "keywords": [    "string"  ],  "latestVersion": "string",  "deprecated": {    "at": "2019-08-24T14:15:22Z",    "message": "string"  },  "updatedAt": "2019-08-24T14:15:22Z",  "registryId": "771eb7a3-9cd7-46d3-86da-9e7e93b08f17",  "repoBindings": [    "string"  ],  "distTags": {    "property1": "string",    "property2": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "metadata": {    "github": {      "owner": "string",      "repo": "string",      "ref": "string",      "subpath": "string",      "selector": "string",      "upstreamHash": "string"    },    "property1": null,    "property2": null  }}